<p-splitter [style]="{'height': '300px'}" [minSizes]="[20,20]">
  <ng-template pTemplate>
    <div class="container panel">
      <ng-container *ngIf="ftl">
        <textarea class="text" [(ngModel)]="ftl" autoResize="true" [cols]="90" [rows]="40"
          (change)="updateText()"></textarea>
      </ng-container>
      <ng-container *ngIf="!ftl">
        <h2>Choose FTL template file</h2>
        <p-fileUpload mode="basic" [auto]="true" name="FTL[]" [customUpload]="true"
          (uploadHandler)="upload($event,'FTL')">
        </p-fileUpload>
      </ng-container>

    </div>
  </ng-template>
  <ng-template pTemplate>
    <div class="container panel">
      <ng-container *ngIf="msg">
        <textarea class="text" [(ngModel)]="msg" autoResize="true" [cols]="90" [rows]="40"
          (change)="updateText()"></textarea>
      </ng-container>
      <ng-container *ngIf="!msg">
        <h2>Choose Message file</h2>
        <p-fileUpload mode="basic" [auto]="true" id="MSG" [customUpload]="true" (uploadHandler)="upload($event,'MSG')">
        </p-fileUpload>
      </ng-container>
    </div>
  </ng-template>
</p-splitter>